# $Revision: 1.7.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	SMTP-Server
Summary:	Net::SMTP::Server perl module
Summary(cs):	Modul Net::SMTP::Server pro Perl
Summary(da):	Perlmodul Net::SMTP::Server
Summary(de):	Net::SMTP::Server Perl Modul
Summary(es):	Mdulo de Perl Net::SMTP::Server
Summary(fr):	Module Perl Net::SMTP::Server
Summary(it):	Modulo di Perl Net::SMTP::Server
Summary(ja):	Net::SMTP::Server Perl ⥸塼
Summary(ko):	Net::SMTP::Server  
Summary(no):	Perlmodul Net::SMTP::Server
Summary(pl):	Modu perla Net::SMTP::Server
Summary(pt_BR):	Mdulo Perl Net::SMTP::Server
Summary(pt):	Mdulo de Perl Net::SMTP::Server
Summary(ru):	  Perl Net::SMTP::Server
Summary(sv):	Net::SMTP::Server Perlmodul
Summary(uk):	  Perl Net::SMTP::Server
Summary(zh_CN):	Net::SMTP::Server Perl ģ
Name:		perl-Net-SMTP-Server
Version:	1.1
Release:	4
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a complete, RFC 821 compliant, SMTP server implementation
written entirely in Perl.  It has powerful extensively and customization
facilities that allow for a variety of potential uses.

%description -l pl
Ten modu oferuje kompletn, zgodn z RFC 821 implementacj serwera
SMTP, napisan cakowicie w Perlu.  Serwer ma due moliwoci rozbudowy
i dostosowania do wasnych potrzeb, co umoliwia uycie go w wielu
zastosowaniach.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Net/SMTP/Server*
# empty autosplit.ix files
#%%{perl_sitelib}/auto/Net/SMTP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-SMTP-Server.spec,v $
Revision 1.7.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.7.2.1  2003/03/13 00:58:18  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7  2003/02/28 10:08:27  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:15  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/03 21:34:56  ankry
- cleaning

Revision 1.3  2002/09/19 12:14:52  ankry
- removed empty autosplit.ix
- release 3

Revision 1.2  2002/08/06 19:58:20  radek
- added tests and missing directories, rel 2

Revision 1.1  2002/07/23 03:06:56  radek
- new, STBR

